Bitwise AND

Symbol: |
Description: | This function block computes a bitwise AND of the two input signals, i.e. a conjunction is performed at the corresponding bits.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP1 | I | LONG, LONGLONG, UCHAR, WORD | Input value 1
 | INP2 | I | LONG, LONGLONG, UCHAR, WORD | Input value 2
 | OUT | O | LONG, LONGLONG, UCHAR, WORD | Output value
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Bitwise NOT

Symbol: |
Description: | This function block computes a bitwise NOT, i.e. every single bit from input INP will be negated.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | LONG, LONGLONG, UCHAR, WORD | Input value
 | OUT | O | LONG, LONGLONG, UCHAR, WORD | Output value
Comments: | If there is no connection at the output another data type can be assigned by creating a new connection at the input. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Bitwise OR

Symbol: |
Description: | This function block computes a bitwise OR of the two input signals, i.e. a disjunction is performed at the corresponding bits.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP1 | I | LONG, LONGLONG, UCHAR, WORD | Input value 1
 | INP2 | I | LONG, LONGLONG, UCHAR, WORD | Input value 2
 | OUT | O | LONG, LONGLONG, UCHAR, WORD | Output value
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Bitwise XOR

Symbol: |
Description: | This function block computes a bitwise XOR of the two input signals, i.e. an exclusive disjunction is performed at the corresponding bits.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP1 | I | LONG, LONGLONG, UCHAR, WORD | Input value 1
 | INP2 | I | LONG, LONGLONG, UCHAR, WORD | Input value 2
 | OUT | O | LONG, LONGLONG, UCHAR, WORD | Output value
Comments: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Rotate left

Symbol: |
Description: | This function block rotates the input value INP bitwise to the left. N is the number of bits which shall be rotated.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, LONG, WORD, LONGLONG, UCHAR | Input value
 | N | I | WORD | Number of bits
 | OUT | O | BYTE, LONG, WORD, LONGLONG, UCHAR | Output value
Comments: | If there is no connection at the output another data type can be assigned by creating a new connection at the input INP. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Rotate right

Symbol: |
Description: | This function block rotates the input value INP bitwise to the right. N is the number of bits which shall be rotated.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, LONG, WORD, LONGLONG, UCHAR | Input value
 | N | I | WORD | Number of bits
 | OUT | O | BYTE, LONG, WORD, LONGLONG, UCHAR | Output value
Comments: | If there is no connection at the output another data type can be assigned by creating a new connection at the input INP. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Shift left

Symbol: |
Description: | This function block shifts the input value INP bitwise to the left. N is the number of bits which shall be shifted.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, LONG, WORD, LONGLONG, UCHAR | Input value
 | N | I | WORD | Number of bits
 | OUT | O | BYTE, LONG, WORD, LONGLONG, UCHAR | Output value
Comments: | If there is no connection at the output another data type can be assigned by creating a new connection at the input INP. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Shift right

Symbol: |
Description: | This function block shifts the input value INP bitwise to the right. N is the number of bits which shall be shifted.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | INP | I | BYTE, LONG, WORD, LONGLONG, UCHAR | Input value
 | N | I | WORD | Number of bits
 | OUT | O | BYTE, LONG, WORD, LONGLONG, UCHAR | Output value
Comments: | If there is no connection at the output another data type can be assigned by creating a new connection at the input INP. If the data type is changed by the parameter dialog all invalid connections will be deleted.